/* 
Hilfsprogamm zum Austesten der mechanischen Grenzen.
Durch unterschiedliche Pausenzeiten an den Endpositionen
kann die angefahrene Endposition (1 oder 2) identifiziert
werden.
*/

#include <Servo.h>

Servo Schaukel;          // Schaukel definieren
 
void setup()
{
  Schaukel.attach(9);    // Servo an Pin 9
}
 
 void loop()
{
  Schaukel.write(80);     // Anfahren Endposition 1 
  delay(5000);            // 5 Sekunden warten 

  Schaukel.write(90);     // Anfahren Mittelposition
  delay(3000);            // 3 Sekunden warten 
  
  Schaukel.write(100);    // Anfahren Endposition 2  
  delay(8000);            // 8 Sekunden warten  
}
